Finding Historic Versions

It is possible to download previous version of Password Server and the corresponding KeePass Client.

DISCLAIMER: We do not officially support "downgrading" (returning to an older version of Password Server
after using a newer one, while preserving any changed data). Although doing so will sometimes work, data
corruption is always a possibility.

Instead, we recommend making frequent backups and restoring using the same version that made the backup.

If you need to attempt a downgrade, simply install the desired version after uninstalling your current version.

Be aware: that by downloading and using an older version of any software, you may be at risk due to security patches and missing bugfixes. We always recommend using the newest version of our software.

Password Server

  • Current version download:

https://www.pleasantsolutions.com/pa...demo-download/

  • Versions 5.1.0.0+:
    • Use version number format: #.#.#.#, eg. 7.7.5.0

https:break URL autogen//downloads.pleasantsolutions.com/package/36c57347-299a-4508-a2d0-5c893ba2488a/PasswordServer/#.#.#.#/PleasantPassServer.exe

  • Version 7.3.7.0 (only)

https:break URL autogen//downloads.pleasantsolutions.com/package/36c57347-299a-4508-a2d0-5c893ba2488a/PasswordServerStable/7.3.7.0/PleasantPassServer.exe

KeePass for Pleasant Client

The KeePass for Pleasant Client version which best corresponds to your Password Server version can be downloaded from the following locations. Release notes will also indicate a "KeePass Client" version.

  • Best Corresponding download:
    • Client Download tab, in the Web browser application
  • Versions 5.1.0.0+:
    • Use Password Server version, format: #.#.#.#, eg. 7.7.5.0

https:break URL autogen//downloads.pleasantsolutions.com/download/PasswordServer/#.#.#.#
/Pleasant%20KeePass%20Client.exe

Version Compatibility Matrix

KeePass Clients for Pleasant may not be compatible with other versions of Pleasant Password Server.

See the compatibility chart here:

  Pleasant Password Server  
Pleasant KeePass Client   <= 2.x 3.0 - 3.2.1 3.3.0+ 4.0.0  - 6.4.13 7.0.0 - 7.5.15 7.6.0+
<= 2.x Yes No No No No No
3.0.x No Yes Yes1 No No No
 3.1.0+ No No Yes No No No
4.0.0 - 5.0.3 No No No Yes No No
6.0.0 - 7.5.15 No No No No Yes No
7.6.0+ No No No No No Yes

green - compatible    red- incompatible

1 - Does not support enforced client configuration feature

 

Version Changes (release notes)
Recent Release Announcements (product news)

 

Tag page
You must login to post a comment.